Bug 826406 - [glusterfs-3.3.0q43]: wrong message for heal info command
[glusterfs-3.3.0q43]: wrong message for heal info command
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
pre-release
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Pranith Kumar K
Rahul Hinduja
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 02:57 EDT by Joe Julian
Modified: 2013-07-24 13:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:19:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Julian 2012-05-30 02:57:38 EDT
Calling "gluster volume heal vmimages info" results in the message, "Heal operation on volume vmimages has been successful" which I imagine is referring to the rpc call, but implies that healing has been successful. Which is misleading.
Comment 1 Pranith Kumar K 2012-06-13 22:08:54 EDT
Joe Julian,
     Here are the new outputs:
[root@pranithk-laptop r2]# gluster volume heal r2 info
Gathering Heal info on volume r2 has been successful

Brick pranithk-laptop:/gfs/r2_0
Number of entries: 0
Status: Brick is Not connected

Brick pranithk-laptop:/gfs/r2_1
Number of entries: 11
/
/9
/10
/3
/4
/1
/6
/2
/7
/5
/8

[root@pranithk-laptop r2]# gluster volume heal r2 
Launching Heal operation on volume r2 has been successful
Use heal info commands to check status
[root@pranithk-laptop r2]# 

Let me know if you have more suggestions.
Comment 2 Joe Julian 2012-06-15 01:37:38 EDT
Looks good to me.

Note You need to log in before you can comment on or make changes to this bug.